API reference
All operations
UTILITY

Uploads file against a record.

POST/api/v2/utility/file-upload

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Request body

application/x-www-form-urlencodedrequired

The request containing recordType, recordId, and the file.

object
  • Filefile
  • RecordTypestring
  • RecordIdinteger · int32
  • ExternalIdstring

Responses

OK

Standard response envelopeisSuccessmessageerrors

isSuccess is false and errors lists each problem. Handling errors

errorsApiError[]

An array. Each item is a ApiError:

  • propertyNamestring
  • errorMessagestring